Changeset 273


Ignore:
Timestamp:
May 21, 2007, 6:35:14 PM (16 years ago)
Author:
Peter Johansson
Message:

some more installation instructions for affymetrix package refs #45

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/se/lu/thep/affymetrix/INSTALL

    r272 r273  
    2323Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
    2424USA.
     25}}}
    2526----------------------------------------------------------------------
    2627
     
    124125
    125126
    126 2. Compilation and installation from a subversion tree
     127== 2. Compilation and installation from a subversion tree ==
    127128
    128129You should skip this section if you downloaded a pre-compiled package.
     
    131132the plug-in, do
    132133
    133   make
    134 
    135 This assumes that BASE is installed in /usr/local/base. If this is not
     134  `make`
     135
     136This assumes that BASE is installed in `/usr/local/base`. If this is not
    136137the case do
    137138
    138   make BASEROOT=<base-dir>
    139 
    140 where <base-dir> is to be replaced with the path to BASE. When the
     139  `make BASEROOT=<base-dir>`
     140
     141where `<base-dir>` is to be replaced with the path to BASE. When the
    141142compilation finishes you install the plug-in into the BASE application
    142143server file system with
    143144
    144   make install    or    make BASEROOT=<base-dir> install
     145  `make install`    or    `make BASEROOT=<base-dir> install`
    145146
    146147The plug-in will install in the recommended directory
    147 <base-dir>/www/plugins/se/lu/thep/affymetrix, i.e. if you prefer
     148`<base-dir>/www/plugins/se/lu/thep/affymetrix`, i.e., if you prefer
    148149another location please refer to the Makefile (which supports further
    149150options).
    150151
    151 For advanced users only: <base-dir> can really be any directory
     152For advanced users only: `<base-dir>` can really be any directory
    152153readable for the user running your tomcat server. This may be handy if
    153154you run several servers on one machine but only want one common
     
    160161
    161162
    162 3. Installation from a pre-compiled package
     163== 3. Installation from a pre-compiled package ==
    163164
    164165You should skip this section if you use the subversion repository.
    165166
    166167v) Install the plug-in in the BASE application server file system. If
    167 BASE is installed in /usr/local/base simply do
    168 
    169   make install-precompiled
     168BASE is installed in `/usr/local/base` simply do
     169
     170  `make install-precompiled`
    170171
    171172If BASE is installed elsewhere, do
    172173
    173   make BASEROOT=<base-dir> install-precompiled
    174 
    175 where <base-dir> is to be replaced by the path to BASE. The plug-in
     174  `make BASEROOT=<base-dir> install-precompiled`
     175
     176where `<base-dir>` is to be replaced by the path to BASE. The plug-in
    176177will install in the recommended directory
    177 <base-dir>/www/plugins/se/lu/thep/affymetrix, i.e. if you prefer
     178`<base-dir>/www/plugins/se/lu/thep/affymetrix`, i.e., if you prefer
    178179another location please refer to the Makefile (which supports further
    179180options).
    180181
    181 For advanced users only: <base-dir> can really be any directory
     182For advanced users only: `<base-dir>` can really be any directory
    182183readable for the user running your tomcat server. This may be handy if
    183184you run several servers on one machine but only want one common
     
    190191
    191192
    192 4. BASE configuration
    193 
    194 vi) Make BASE aware of the new plug-in:
    195 
    196  - Login to BASE with plug-in administrative privileges.
    197 
    198  - Choose 'Administrate' -> 'Plugins' -> 'Definitions'.
    199 
    200  - Click on 'New...'. This will open up the 'Create plugin' pop-up
     193== 4. BASE configuration ==
     194
     195=== vi) Make BASE aware of the new plug-in ===
     196
     197 * Login to BASE with plug-in administrative privileges.
     198
     199 * Choose 'Administrate' -> 'Plugins' -> 'Definitions'.
     200
     201 * Click on 'New...'. This will open up the 'Create plugin' pop-up
    201202   window. Type "se.lu.thep.affymetrix.RMAExpress" in the 'Class'
    202203   field and
     
    205206   3.v) above. Click on the 'Save' button.
    206207
    207  - Share the plug-in to all users/roles/groups that should have
     208 * Share the plug-in to all users/roles/groups that should have
    208209   access to it (sharing it to group Everyone should be sufficient in
    209210   most cases).
    210211
    211212
    212 5. Remember to install RMAExpressConsole according to the conditions
    213    stated in item 1.ii) above.
    214 
    215 
    216 6. That's it, now you need to BASE skills to actually make use of the
    217    RMAExpress plug-in. Read the README file for some pointers on what
    218    to do now.
    219 
    220 
    221 7. Updating RMAExpressConsole or RMAExpress plug-in for BASE.
    222 
    223    a) RMAExpressConsole
    224 
    225    Installing a new RMAExpressConsole binary is trivial, just replace
    226    the old binary with the new binary.
    227 
    228    b) RMAExpress plug-in for BASE.
     213 * That's it, now you need to BASE skills to actually make use of the
     214   plug-in. Read the README file for some pointers on what to do now.
     215
     216== 7. Updating a plug-in in BASE. ==
     217
     218You may update the underlying binaries (RMAExpress or
     219apt-probeset-summarize) or the plug-in.
     220
     221=== Updating RMAExpressConsole or apt-probeset-summarize ===
     222
     223Installing a new binary is trivial, just replace the old binary with
     224the new binary.
     225
     226=== Update RMAExpress or Plier plug-ins for BASE ===
    229227
    230228   This is straighforward:
     
    236234   - Choose 'Administrate' -> 'Plugins' -> 'Definitions'.
    237235
    238    - Locate the RMAExpress plug-in in the list and click on it.
     236   - Locate the plug-in (RMAExpress or PLier) in the list and click on it.
    239237
    240238   - Click on the 'Unload' button if it is available. This will
     
    246244
    247245   - Done.
     246
Note: See TracChangeset for help on using the changeset viewer.